#!/bin/csh
#
#@$-lt 0:04:00
#@$-lT 0:04:00
#@$-lm 4mw
#@$-lM 4mw
#@$-s  /bin/tcsh
#@$
#
set echo
set time = 1
C
C --- Create HYCOM costant heat flux files for idealized FWFa0.50 case
C --- reading values from this file
C --- Modified from coads_mon_flux.com
C --- Zero W/m**2 radiation correction, +ve means gained by ocean.
C
setenv pget cp
setenv pput cp
C
C --- P is primary path,
C --- S is scratch directory,
C --- D is permanent directory,
C
setenv P hycom/FWFb4.00/force/ideal
C
# Single Disk
setenv S ~/$P/SCRATCH
setenv D ~/$P
C
mkdir -p $S
cd       $S
C
C --- Input.
C
touch regional.grid.a regional.grid.b
if (-z regional.grid.b) then
  ${pget} ${D}/../../topo/regional.grid.b regional.grid.b &
endif
if (-z regional.grid.a) then
  ${pget} ${D}/../../topo/regional.grid.a regional.grid.a &
endif
C
#${pget} ${D}/../../../ALL/force/src/ap_100_co . &
#cp ${D}/../../../ALL/force/src/ap_100_co . &
#cp ${D}/../../../ALL/force/src/ap_id . 
cp ${D}/../../../ALL/force/src/ap_lin_pcip .
#chmod a+rx ap_100_co
#chmod a+rx ap_id
chmod a+rx ap_lin_pcip
C
/bin/rm -f fort.1[01234]*
C
setenv FOR010A fort.10A
setenv FOR011A fort.11A
setenv FOR012A fort.12A
setenv FOR013A fort.13A
setenv FOR014A fort.14A
C
#./ap_100_co <<'E-o-D'
#./ap_id <<'E-o-D'
./ap_lin_pcip <<'E-o-D'
 &AFTITL
  CTITLE = '1234567890123456789012345678901234567890',
  CTITLE = 'FWFa0.50 monthly fluxes, MKS',
 /
 &AFCNST
  TAIR   =     12.5,
  HAIR   =      0.0,    
  FLXR   =      0.0,
  FLXP   =      0.0,
  PCIP   = 3.17E-08,
  YEAR   =    360.0,
/
'E-o-D'
C
C --- Output.
C
${pput} fort.10  ${D}/airtmp.b
${pput} fort.10A ${D}/airtmp.a
${pput} fort.11  ${D}/vapmix.b
${pput} fort.11A ${D}/vapmix.a
${pput} fort.12  ${D}/radflx.b
${pput} fort.12A ${D}/radflx.a
${pput} fort.13  ${D}/shwflx.b
${pput} fort.13A ${D}/shwflx.a
${pput} fort.14  ${D}/precip.b
${pput} fort.14A ${D}/precip.a
C
C --- Delete all files.
C
#/bin/rm -f *
