#!/bin/csh
#
#@$-lt 0:04:00
#@$-lT 0:04:00
#@$-lm 4mw
#@$-lM 4mw
#@$-s  /bin/csh
#@$
#
set echo
set time = 1
C
C --- Create a HYCOM costant wind stress data file
C --- reading the values in this file 
C --- for idealized FWFa0.50 cases
C --- Modified from coads_mon_wind.com
C
setenv pget cp
setenv pput cp
C
C --- P is primary path,
C --- S is scratch directory,
C --- D is permanent directory,
C
setenv P hycom/FWFb4.00/force/ideal
C

#  Single Disk
setenv S ~/$P/SCRATCH
setenv D ~/$P
C
mkdir -p $S
cd       $S
C
C --- Input.
C
touch regional.grid.a regional.grid.b
if (-z regional.grid.b) then
  ${pget} ${D}/../../topo/regional.grid.b regional.grid.b &
endif
if (-z regional.grid.a) then
  ${pget} ${D}/../../topo/regional.grid.a regional.grid.a &
endif
C
#${pget} ${D}/../../../ALL/force/src/wi_100_co . &
#cp ${D}/../../../ALL/force/src/wi_100_co . &
cp ${D}/../../../ALL/force/src/wi_id . 
#chmod a+rx wi_100_co
chmod a+rx wi_id
C
/bin/rm -f fort.1[012]*
C
setenv FOR010A fort.10A
setenv FOR011A fort.11A
setenv FOR012A fort.12A
C
setenv FOR044A fort.44A
setenv FOR045A fort.45A
C
/bin/rm -f fort.10 fort.11 fort.12 fort.46 fort.47 fort.48
#./wi_100_co <<'E-o-D'
./wi_id <<'E-o-D'
 &WWTITL
  CTITLE = '1234567890123456789012345678901234567890',
  CTITLE = 'FWFa0.50 monthly fluxes, MKS',
 /
 &WWCNST
  TXI    =   0.0,
  TYI    =   0.0,
  SPDMIN =   0.0,
  WVSCAL =   0.0,
  YEAR   = 360.0,
 /
'E-o-D'
C
C --- Output.
C
${pput} fort.10  ${D}/tauewd.b
${pput} fort.10A ${D}/tauewd.a
${pput} fort.11  ${D}/taunwd.b
${pput} fort.11A ${D}/taunwd.a
${pput} fort.12  ${D}/wndspd.b
${pput} fort.12A ${D}/wndspd.a
C
C --- Delete all files.
C
#/bin/rm -f *
