%%%%%%%%%%%%%%%%%%%%% INTERPOLATION of VARIABLES

%--- interpolate depth on the v grid

 for ic=1:idm
    depthv(1,ic)=depth(1,ic);
    for ir=2:jdm-1
         depthv(ir,ic)=0.5*(depth(ir,ic)+depth(ir-1,ic));
    end
    depthv(jdm,ic)=depth(jdm-1,ic);
 end

%--- interpolate depth on the u grid

 for ir=1:jdm
     depthu(ir,1)=depth(ir,1);
     for ic=2:idm-1
	 depthu(ir,ic)=0.5*(depth(ir,ic)+depth(ir,ic-1));
     end
     depthu(ir,idm)=depth(ir,idm-1);
 end

%--- interpolate v_btrop on the p grid

 v_btrop(1,:)=0; %remove Nan on land and allow below interpolation
 for ic=1:idm-1
     for ir=1:jdm-1
         vb_p(ir,ic)=0.5*(v_btrop(ir+1,ic)+v_btrop(ir,ic));
     end
 end

%--- interpolate u_btrop on the p grid

 u_btrop(:,1)=0; %remove Nan on land and allow below interpolation
 for ir=1:jdm-1
     for ic=1:idm-1
         ub_p(ir,ic)=0.5*(u_btrop(ir,ic+1)+u_btrop(ir,ic));
     end
 end


%remove Nan on land and allow below interpolation
 v_btrop(  1,:)=0;
 v_btrop(jdm,:)=0;

%%%%%%%% Interpolation of V on the PSI-Q-grid

 for ir=1:jdm
     if(free==1)
        vb_q(ir,1)=v_btrop(ir,1);
     else
        vb_q(ir,1)=0;
     end
     for ic=2:idm-1
        vb_q(ir,ic)=0.5*(v_btrop(ir,ic)+v_btrop(ir,ic-1));
     end
     if(free==1)
        vb_q(ir,idm)=v_btrop(ir,idm-1);
     else
        vb_q(ir,idm)=0;
     end
 end

%%%%%%%% Interpolation of depth on the PSI-Q-grid
 for ir=2:jdm-1
     for ic=2:idm-1
        depthq(ir,ic)=0.25*(depth(ir,ic)+depth(ir,ic-1)+depth(ir-1,ic)+depth(ir-1,ic-1));
     end
 end
 for ir=2:jdm-1
     depthq(ir,  1)=0.5*(depth(ir,    1)+depth(ir-1,    1));
     depthq(ir,idm)=0.5*(depth(ir,idm-1)+depth(ir-1,idm-1));
 end
 for ic=2:idm-1
     depthq(  1,ic)=0.5*(depth(    1,ic)+depth(    1,ic-1));
     depthq(jdm,ic)=0.5*(depth(jdm-1,ic)+depth(jdm-1,ic-1));
 end
 depthq(  1,  1)=depth(    1,    1);
 depthq(jdm,  1)=depth(jdm-1,    1);
 depthq(  1,idm)=depth(    1,idm-1);
 depthq(jdm,idm)=depth(jdm-1,idm-1);



%remove Nan on land and allow below interpolation
u_btrop(:,  1)=0;
u_btrop(:,idm)=0;

%%%%%%%% Interpolation of U on the PSI-Q-grid
 for ic=1:idm
     if(free==1)
        ub_q(1,ic)=u_btrop(1,ic);
     else
        ub_q(1,ic)=0;
     end			
     for ir=2:jdm-1
        ub_q(ir,ic)=0.5*(u_btrop(ir,ic)+u_btrop(ir-1,ic));
     end
     if(free==1)
        ub_q(jdm,ic)=u_btrop(jdm-1,ic);
     else
        ub_q(jdm,ic)=0;
     end
 end
