%free slip condition
% free=1
%no slip
 free=0

%$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
%$$$$$$$$$$$$$$$ USING V $$$$$$$$$$$$$$$$$$$$
%$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

%remove Nan on land and allow below interpolation
 v_btrop(  1,:)=0;
 v_btrop(jdm,:)=0;

%%%%%%%% Interpolation of V on the PSI-Q-grid

 for ir=1:jdm
     if(free==1)
        vb_q(ir,1)=v_btrop(ir,1);
     else
        vb_q(ir,1)=0;
     end
     for ic=2:idm-1
        vb_q(ir,ic)=0.5*(v_btrop(ir,ic)+v_btrop(ir,ic-1));
     end
     if(free==1)
        vb_q(ir,idm)=v_btrop(ir,idm-1);
     else
        vb_q(ir,idm)=0;
     end
 end

%%%%%%%% Interpolation of depth on the PSI-Q-grid
 for ir=2:jdm-1
     for ic=2:idm-1
        depthq(ir,ic)=0.25*(depth(ir,ic)+depth(ir,ic-1)+depth(ir-1,ic)+depth(ir-1,ic-1));
     end
 end
 for ir=2:jdm-1
     depthq(ir,  1)=0.5*(depth(ir,    1)+depth(ir-1,    1));
     depthq(ir,idm)=0.5*(depth(ir,idm-1)+depth(ir-1,idm-1));
 end
 for ic=2:idm-1
     depthq(  1,ic)=0.5*(depth(    1,ic)+depth(    1,ic-1));
     depthq(jdm,ic)=0.5*(depth(jdm-1,ic)+depth(jdm-1,ic-1));
 end
 depthq(  1,  1)=depth(    1,    1);
 depthq(jdm,  1)=depth(jdm-1,    1);
 depthq(  1,idm)=depth(    1,idm-1);
 depthq(jdm,idm)=depth(jdm-1,idm-1);

%%%%%%%% Interpolation of shh on the PSI-Q-grid
 for ir=2:jdm-1
     for ic=2:idm-1
        sshq(ir,ic)=0.25*(srfhgt(ir,ic)+srfhgt(ir,ic-1)+srfhgt(ir-1,ic)+srfhgt(ir-1,ic-1));
     end
 end
 for ir=2:jdm-1
     sshq(ir,  1)=0.5*(srfhgt(ir,    1)+srfhgt(ir-1,    1));
     sshq(ir,idm)=0.5*(srfhgt(ir,idm-1)+srfhgt(ir-1,idm-1));
 end
 for ic=2:idm-1
     sshq(  1,ic)=0.5*(srfhgt(    1,ic)+srfhgt(    1,ic-1));
     sshq(jdm,ic)=0.5*(srfhgt(jdm-1,ic)+srfhgt(jdm-1,ic-1));
 end
 sshq(  1,  1)=srfhgt(    1,    1);
 sshq(jdm,  1)=srfhgt(jdm-1,    1);
 sshq(  1,idm)=srfhgt(    1,idm-1);
 sshq(jdm,idm)=srfhgt(jdm-1,idm-1);


%--- transports using V, depth and dx all on q-grid

 transV=vb_q.*(depthq+sshq).*qscx;


%--- transport streamfunction

 for ir=1:jdm
     sum_transV=transV(ir,1);
     for ic=2:idm
         sum_transV=sum_transV+transV(ir,ic);
         psiV(ir,ic)=sum_transV;
     end
 end
 
 psiV=psiV./1E6; %to express in sverdrup
 
 figure(1)
 clev=[-1:0.1:1];
 [c,h]=contour(qlon,qlat,psiV,clev); h=clabel(c,h,clev);
 set(h,'BackgroundColor',[1 1 0.6]);
 %caxis([clev(1) clev(end)]);
 %colorbar; 
 xlabel('Longitude');
 ylabel('Latitude');
 if(exist('tstep_str')==1);
    time_str=num2str(timestep);
    title(['Barotropic streamfunction using V (Sv), Expt ',expstr,' Timestep ',time_str]) 
 else    
    title(['Barotropic streamfunction using V (Sv), Expt ',expstr,' Year ',num2str(year),' Day ',num2str(day),' Hour ',num2str(hour)])
 end %if

%$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
%$$$$$$$$$$$$$$$ USING U $$$$$$$$$$$$$$$$$$$$
%$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

%remove Nan on land and allow below interpolation
 u_btrop(:,  1)=0;
 u_btrop(:,idm)=0;

%%%%%%%% Interpolation of U on the PSI-Q-grid
 for ic=1:idm
     if(free==1)
        ub_q(1,ic)=u_btrop(1,ic);
     else
        ub_q(1,ic)=0;
     end			
     for ir=2:jdm-1
        ub_q(ir,ic)=0.5*(u_btrop(ir,ic)+u_btrop(ir-1,ic));
     end
     if(free==1)
        ub_q(jdm,ic)=u_btrop(jdm-1,ic);
     else
        ub_q(jdm,ic)=0;
     end
 end

%--- transports using U, depth and dy all on q-grid

 transU=ub_q.*(depthq+sshq).*qscy;

%--- transport streamfunction

 for ic=1:idm
     sum_transU=transU(1,ic);
     for ir=2:jdm
         sum_transU=sum_transU+transU(ir,ic);
         psiU(ir,ic)=-sum_transU;
     end
 end
 
 psiU=psiU./1E6; %to express in sverdrup
 
 figure(2)
 clev=[-1:0.1:1];
 [c,h]=contour(qlon,qlat,psiU,clev); h=clabel(c,h,clev);
 set(h,'BackgroundColor',[1 1 0.6]);
 %caxis([clev(1) clev(end)]);
 %colorbar; 
 xlabel('Longitude');
 ylabel('Latitude');
 if(exist('tstep_str')==1);
    time_str=num2str(timestep);
    title(['Barotropic streamfunction using U (Sv), Expt ',expstr,' Timestep ',time_str]) 
 else    
    title(['Barotropic streamfunction using U (Sv), Expt ',expstr,' Year ',num2str(year),' Day ',num2str(day),' Hour ',num2str(hour)])
 end %if


%%%%%%%%%%%%%%%%%%%%%%%%%%% Velocity

 scale_fact =20000;
 reference=1e-4;
 ref_str=num2str(reference);
 pic_incr=5.0;
 skipX=2;
 skipY=2;

 img=sqrt(-1);
 

 figure(3)
  arrows(qlon(1:skipX:end,1:skipY:end),qlat(1:skipX:end,1:skipY:end),ub_q(1:skipX:end,1:skipY:end)+img*vb_q(1:skipX:end,1:skipY:end),scale_fact,'k');
  hold on
  arrows(50.0,-3.0,reference,scale_fact,'b');
  text(50.0,-2.5,[ref_str,' m/s'],'color','b');
  hold off
 
  if(exist('tstep_str')==1);
    time_str=num2str(timestep);
    title(['Barotropic Velocity (Q-grid) Expt ',expstr,' Timestep ',time_str]) 
  else    
    title(['Barotropic Velocity (Q-grid) Expt ',expstr,' Year ',num2str(year),' Day ',num2str(day),' Hour ',num2str(hour),' skipX/Y ',num2str(skipX),'/',num2str(skipY)])
  end %if
    axis([min(min(plon))-pic_incr max(max(plon))+pic_incr min(min(plat))-pic_incr max(max(plat))+pic_incr])
 xlabel('Longitude');
 ylabel('Latitude');


%%%%%%%%%%%%%%%%%%% plot the sum of the transports
%
% for transV the sum is zonally and the plot will show the variation 
% with latitude (meridional variation)
% for transU the sum is meridionally and the plot will show the variation 
% with longitude (zonal variation)
%
%%%%%%%%%%%%%%%%%%%

%sum transV on the columns
a=sum(transV,2);
a=a./1E6; %to express in sverdrup
%a=sum(vb_q,2);

%@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
%calculation of the transV due to the velocity potential
%Huang 1993 JPO equation 52

R=6.37e6;      %average Earth radius
emnp=3.17e-8;  %amplitude of evap/precip
PHI_N=qlat(end,end);

huang=-R*emnp./cos(qlat(:,1)*pi/180).*qlat(:,1)*pi/180.*(1-qlat(:,1)/PHI_N);

%@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ 

%display per row (i.e. per latitude)
figure(4)
plot(qlat(:,1),a,'*');
plot(qlat(:,1),huang,'r.-');
 if(exist('tstep_str')==1);
    time_str=num2str(timestep);
    title(['Meridional Variation of the Zonally Sum of TransV (Sv), Expt ',expstr,' Timestep ',time_str]) 
 else    
    title(['Meridional Variation of the Zonally Sum of TransV (Sv), Expt ',expstr,' Year ',num2str(year),' Day ',num2str(day),' Hour ',num2str(hour)])
 end %if
 ylabel('Sum (Sv)');
 xlabel('Latitude');

%sum transU on the rows
b=sum(transU,1);
b=b./1E6; %to express in sverdrup
%b=sum(ub_q,1);

%display per column (i.e. per longitude)
figure(5)
plot(qlon(1,:),b,'+')
 if(exist('tstep_str')==1);
    time_str=num2str(timestep);
    title(['Zonal Variation of the Meridionally Sum of TransU (Sv), Expt ',expstr,' Timestep ',time_str]) 
 else    
    title(['Zonal Variation of the Meridionally Sum of TransU (Sv), Expt ',expstr,' Year ',num2str(year),' Day ',num2str(day),' Hour ',num2str(hour)])
 end %if
 ylabel('Sum (Sv)');
 xlabel('Longitude');
