clear
close all

disp('----- NUM. OF EXPT --------');
expt=input('expt?--------------->');

%loads output of the specified expt
expt=expt*10;
savefile=['0',num2str(expt),'.mat'];
load(savefile);

scrsz=get(0,'ScreenSize');

figure(1)
set(1,'Position',[10 scrsz(4)/2-80 scrsz(3)/2 scrsz(4)/2]) %[left bottom
                                                       %width height]
%
% arrows:          draws arrows
%
% Usage: [h]=arrows(x,y,w,fac,[color])
%
% where: h ....... the returned handle
%
%        (x,y) ... the coordinates where the arrow should be plotted
%        w ....... the velocity vector (complex)
%        fac ..... scaling factor for vector
%        color ... color of vector
%
% Acknowledgement: this function draws heavily on the "omviz" package
% written by Rich Signell (USGS)
%
% Initial version, JRH 11/12/2001
%
% Geometry of arrowheads (choosing HEADA and HEADL):
%
%  If the arrow is defined by the points A B C B D where A is the base of 
%  the arrow, B is the head, and C and D are the corners of the arrowhead, then
%  HEADA is the angle BAC (or BAD), and HEADL is the ratio of distances AC/AB.
%

%---MAR explanation about the scale factor in arrows
%---MAR arrows plots in the unit of the page
%---MAR so if it is arrows(0,0,1+i*0,1) it plots an eastward arrow
%---MAR of one unit! So if I am using lon/lat and I am reading velocities
%---MAR of cm/sec it is clear that using a scale_fact=1 will lead to too
%---MAR big arrows! 
%---MAR

scale_fact =1/300;
reference=0.1;
ref_str=num2str(reference);
pic_incr=0.0002;

img=sqrt(-1);

for it=1:itmax
    disp(it)
    if(  max(max(srfhgt(:,:,it)))==min(min(srfhgt(:,:,it)))  )
         surf(plon,plat,srfhgt(:,:,it)); view([0 90]); colorbar;
         hold on
         h=arrows(plon,plat,(u_btrop(:,:,it)+img*v_btrop(:,:,it)),scale_fact,'w');
         arrows(9.005,44.0,reference,scale_fact,'k');
         text(9.005,43.9999,[ref_str,' m/s'],'color','k');
         title(['Costant value =  ',num2str(max(max(srfhgt(:,:,it))))]);
         hold off
    else    
         contourf(plon,plat,srfhgt(:,:,it)); colorbar;
         %    surf(plon,plat,srfhgt(:,:,it)); view([0 90]); colorbar;
         hold on         
         h=arrows(plon,plat,(u_btrop(:,:,it)+img*v_btrop(:,:,it)),scale_fact,'w');
         arrows(9.005,44.0,reference,scale_fact,'k');
         text(9.005,43.9999,[ref_str,' m/s'],'color','k');
         hold off
    end %if
    title(['Expt ',expstr,' Year ',title_str{it,1},' Day ',title_str{it,2},' Hour ',title_str{it,3}])
    axis([min(min(plon))-pic_incr max(max(plon))+pic_incr min(min(plat))-pic_incr max(max(plat))+pic_incr])
    pause
end %for

